PHP - Error de Windows Vista con el instaler de php 5.2.

   
Vista:

Error de Windows Vista con el instaler de php 5.2.

Publicado por Dianet (12 intervenciones) el 18/03/2008 22:11:46
Hola que tal.

Estoy tratando de instalar php 5.2.5 en windows Vista home, pero a la hora de ejecutar el instaler de php me manda un mensaje de error diciendo que no reconoce el archivo que estoy ejecutando. El instaler lo baje dierctamente de la página de php.
Ya instalé apache y modifiqué el config, lo único que me falta cambiar es la instrucción de LoadModule php5_module C:phpphp5apache2_2.dll . Pero.. de todas maneras me tendría que generar este error?

Muchas gracias a todos.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:Error de Windows Vista con el instaler de php 5

Publicado por Richard Bravo (52 intervenciones) el 18/03/2008 22:13:42
Hola!

Porque no tratas de instalar el "WampServer"??? yo lo utilizo en Windows Vista Ultimate y no me da ningun problema.

lo puedes descargar de www.wampserver.com

Saludos

Richard Bravo
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Error de Windows Vista con el instaler de php 5

Publicado por Dianet (12 intervenciones) el 18/03/2008 22:35:57
Hola Richard
tengo varias preguntas...
1. Ya instalé una versión de apache (no recuerdo cual) en mi máquina. Si instalo wampserver tengo que desinstalar el apache si es una versión anterior (o posterior) a la que trae el wampserver? ¿cuál es la mejor manera de desinstalarlo ?
2. Una vez que pueda instalar wampserver, ¿tengo que editar el config de apache?
3. una vez que instalo php, tengo que editar el .ini para indicarle las dlls? o las tengo que copiar al system 32 o algo asi?

muchas gracias, voy a probar con esa aplicación... ; )
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Error de Windows Vista con el instaler de php 5

Publicado por Richard Bravo (52 intervenciones) el 18/03/2008 22:51:46
Hola!

Al instalar el wamp se te instala automaticamente todo, el php y el mysql.. no necesitas editar ningun .ini

Y no hay problema que tengas otra version de apache.. o php porque yo tuve el mismo problem asi que solo se lo monté encima y listo!

Saludos,

Richard Bravo
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Error de Windows Vista con el instaler de php 5

Publicado por Omar Yépez (224 intervenciones) el 18/03/2008 23:04:40
Hola Dianet dc_reyes [@] yahoo [.] com

Prueba esto a ver si te sirve

* Ir a Start
* All Programs
* Accessories, después hacer click con el botón derecho en Command Prompt y selecciona Run as administrator. Esto abrirá una ventana de comandos con derechos de administrador.
* Dirígete al directorio donde tengas guardado el archivo de instalación apache*.msi y ejecuta "msiexec /i apache*.msi", donde apache*.msi es el nombre del archivo completo.

Haz lo mismo con el instalador de PHP a ver

Espero que te sirva..........

Pero hasta ahora no hay un instalador para Vista los que he escuchado lo han hecho a mano.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Error de Windows Vista con el instaler de php 5

Publicado por Dianet (12 intervenciones) el 18/03/2008 23:17:58
Hola Omar..

También ya lo intenté con la instrucción que me mencionas (de hecho así pude instalar APACHE) y no me funcionó =(

gracias ; )
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:Error de Windows Vista con el instaler de php 5

Publicado por Omar Yépez (224 intervenciones) el 19/03/2008 01:09:53
Bueno sera instalarlo a mano

Bajate PHP de http://www.php.net/downloads.php

1.- Bajate el PHP 5.2.5 zip package no el installer

2.- Descomprime PHP en un directorio de tu PC por ejemplo C:PHP

3.- Renombre el archivo php.ini-recommended y deja solo el .ini seria "php.ini"

4.- Configuracion basica del php.ini:

4.a) busca ".;c:phpincludes" y quitales el ; del inicio osea descomentalo

4.b) busca "doc_root" y coloca la carpeta htdocs del directorio donde
instalaste apache. Por lo general es "C:Archivos de programaApache
GroupApache2htdocs" quedaria entonces

doc_root = "C:Archivos de programaApache GroupApache2htdocs"

4.c) modificamos session.cookie_path
que quede asi session.cookie_path =
4.d) modificamos session.save_path
que quede asi session.save_path = "C:phpsesion"
* crea una carpeta dentro de C:php llamada sesion.

4.e) para usar extensiones utiles como que PHP se comunique con MySQL
de forma native debes modificar extension_dir = "./" y colocar el directorio
donde tu quieras copiar los .dll que son las extensiones o sino
simplente copia los .dll en C:/PHP y listo claro esta tienes que
descomentar la extension de la lista de extensiones de windows que
esta tambien en el php.ini busca "Windows Extensions" y ahi estaran

5.- ahora ahi que modificar del apche el httpd.conf que estara seguramente en C:Archivos de programaApache GroupApache2conf

5.a) Busca la palabra "LoadModule " encontraras una lista de modulos coloca
al final de la lista esta linea:

LoadModule php5_module "c:/php/php5apache2.dll"

para cargar el modulo de PHP 5

5.b) Busca ahora la palabra "AddType " aparecera otra lista crea esta linea al
final
AddType application/x-httpd-php .php

5.c) Busca la palabra "DirectoryIndex " aparecera esto

DirectoryIndex index.html index.html.var

modificalo por esto

DirectoryIndex index.php index.html index.html.var

5.d) Coloca al final del archivo httpd.conf esto
PHPIniDir "c:/WINDOWS"
para decirle a apache donde esta el php.ini

Ahora prueba a ver si se instalo bien creando un .php y llamando a la funcion phpinfo

P.D.
Despues de configurar el php.ini copia y pegalo en C:/WINDOWS que en vista creo que tienes que tener permiso de administardor.

Sino funciona tendras que por ahora casarte con XAMP, WAMP, LAMP o uno de esos que yo lamentablemente no he utilizado para decirte que tan bueno o malo son.
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar